AppCode starts 2017.1.2 EAP

Today we are starting the Early Access Program for AppCode 2017.1.2, a bug-fix update to the recently released AppCode 2017.1. Build 171.4249.35 is now available for download on our confluence page.

The following issues are fixed in this build:

  • Incorrect reporting of Kiwi tests with Xcode 8.3 (OC-15261)
  • Broken code insight when __has_include() argument is not a header (OC-15329)

Besides, AppCode now correctly handles Clang 8.1 bundled in Xcode 8.3 (OC-14952) and provides support for type(of:) as a part of standard Swift library for Swift 3.1 (OC-15313).

The full list of fixes and improvements can be found here.

Your AppCode team
JetBrains
The Drive to Develop

This entry was posted in Announcement and tagged , . Bookmark the permalink.

6 Responses to AppCode starts 2017.1.2 EAP

  1. Pingback: AppCode 2017.1.2 EAP 发布,Bug 修复版本 | News Pod

  2. brki says:

    The only download links on the confluence page currently are for the non-EAP version.

    • Tatiana Shabaeva says:

      2017.1.2 EAP was closed since 2017.1.2 update had been released on May, 3rd. We are planning to open EAP program for 2017.2 version soon.

  3. michal says:

    Dear JetBrains team. Thank you for the great push, your continued effort is highly appreciated and impacts our work every day. Looking forward for more :)

  4. Tomas says:

    AppCode 2017.1.2 EAP is deadly slow – processor 100%, AppCode freezing. Probably some 100% CPU bug again?
    2017.1.1 has expired and 2016.3 requires old XCode.

    What now??? Will you publish a fix soon?

    • Tomas says:

      Aha, sorry, there is 2017.1.2 production version … it works fine. I didn’t code for some time, so was a bit confused about all these version :)

Leave a Reply

Your email address will not be published. Required fields are marked *